#
# Procedure to "explore" the translations and rotations of a tetris set.
#

proc Explore { } {
    global Piece_Store
    global cur_width cur_piece_nb

    set Width $cur_width

    set nb_games 1

    for { set i 1 } { $i < $cur_piece_nb } { incr i 1 } {
	set bb [Bounding_Box $Piece_Store($i)]
	puts "G $i = $bb"
	# getting contour of piece. y coords are incremented in order
	# to avoid loss of squares when rotating.
	set x0 [lindex $bb 0]
	set x1 [lindex $bb 2]
	set y0 [expr $Width+[lindex $bb 1]]
	set y1 [expr $Width+[lindex $bb 3]]

	set max_left_shift $x0
	set max_right_shift [expr $Width-$x1]

	set nb_games [expr $nb_games*3*($max_left_shift+$max_right_shift+1)]
    }

    puts $nb_games

}
